org.jboss.shrinkwrap.descriptor.api.javaee7

## Interface IconType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface IconType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `iconType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getLargeIcon()` Returns the `large-icon` element
    `java.lang.String` | `getSmallIcon()` Returns the `small-icon` element
    `IconType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `IconType<T>` | `largeIcon(java.lang.String largeIcon)` Sets the `large-icon` element
    `IconType<T>` | `removeId()` Removes the `id` attribute
    `IconType<T>` | `removeLargeIcon()` Removes the `large-icon` element
    `IconType<T>` | `removeSmallIcon()` Removes the `small-icon` element
    `IconType<T>` | `smallIcon(java.lang.String smallIcon)` Sets the `small-icon` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### smallIcon

          IconType<T> smallIcon(java.lang.String smallIcon)

      Sets the `small-icon` element
      Parameters:
        `smallIcon` - the value for the element `small-icon`
      Returns:
        the current instance of `IconType`

    - #### getSmallIcon

          java.lang.String getSmallIcon()

      Returns the `small-icon` element
      Returns:
        the node defined for the element `small-icon`

    - #### removeSmallIcon

          IconType<T> removeSmallIcon()

      Removes the `small-icon` element
      Returns:
        the current instance of `IconType`

    - #### largeIcon

          IconType<T> largeIcon(java.lang.String largeIcon)

      Sets the `large-icon` element
      Parameters:
        `largeIcon` - the value for the element `large-icon`
      Returns:
        the current instance of `IconType`

    - #### getLargeIcon

          java.lang.String getLargeIcon()

      Returns the `large-icon` element
      Returns:
        the node defined for the element `large-icon`

    - #### removeLargeIcon

          IconType<T> removeLargeIcon()

      Removes the `large-icon` element
      Returns:
        the current instance of `IconType`

    - #### id

          IconType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `IconType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          IconType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `IconType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)